Enchant: EnchantDictFreeStringList_TestFixture Struct Reference

Enchant Generic spell checking library

Public Attributes | List of all members
EnchantDictFreeStringList_TestFixture Struct Reference
Inheritance diagram for EnchantDictFreeStringList_TestFixture:
[legend]
Collaboration diagram for EnchantDictFreeStringList_TestFixture:
[legend]

## Public Attributes
char ** | _string_list
char ** | _pwl_string_list
Public Attributes inherited from EnchantDictionaryTestFixture
EnchantDict * | _dict
EnchantDict * | _pwl
std::string | _pwlFileName
std::string | origLangEnv
bool | hasLangEnv
std::string | languageTag
Public Attributes inherited from EnchantBrokerTestFixture
EnchantBroker * | _broker
GModule * | hModule
GModule * | hModule2

## Additional Inherited Members
Public Member Functions inherited from EnchantDictionaryTestFixture
| EnchantDictionaryTestFixture (ConfigureHook userConfiguration=BasicDictionary_ProviderConfiguration, const std::string &languageTag="qaa")
void | SetLocale (const std::string &locale)
void | ResetLocale ()
void | ReloadTestDictionary ()
void | InitializeTestDictionary ()
void | FreeTestDictionary ()
bool | PersonalWordListFileHasContents ()
bool | ExcludeFileHasContents ()
bool | BrokerPWLFileHasContents ()
bool | FileHasContents (const std::string &filename)
std::string | GetPersonalDictFileName ()
std::string | GetExcludeDictFileName ()
void | SetErrorOnMockDictionary (const std::string &error)
void | FreeStringList (char **list)
void | FreePwlStringList (char **list)
bool | IsWordInSession (const std::string &word)
bool | IsWordInDictionary (const std::string &word)
void | RemoveWordFromDictionary (const std::string &word)
void | AddWordToDictionary (const std::string &word)
void | AddWordsToDictionary (const std::vector< std::string > &sWords)
void | ExternalAddWordToDictionary (const std::string &word)
void | ExternalAddWordToExclude (const std::string &word)
void | ExternalAddNewLineToDictionary ()
void | ExternalAddWordsToDictionary (const std::vector< std::string > &sWords)
std::vector< std::string > | GetExpectedSuggestions (const std::string &s, size_t begin=0)
std::vector< std::string > | GetSuggestionsFromWord (const std::string &word)
std::vector< std::string > | GetSuggestions (const std::string &s)
Public Member Functions inherited from EnchantBrokerTestFixture
| EnchantBrokerTestFixture (ConfigureHook userConfiguration=NULL, ConfigureHook user2Configuration=NULL, bool includeNullProviders=false)
void | InitializeBroker ()
void | CopyProvider (const std::string &sourceProviderName, const std::string &destinationProviderName)
EnchantProvider * | GetMockProvider ()
void | SetErrorOnMockProvider (const std::string &error)
EnchantDict * | RequestDictionary (const std::string &tag)
EnchantDict * | RequestPersonalDictionary ()
std::string | GetLastPersonalDictionaryFileName ()
void | FreeDictionary (EnchantDict *dictionary)
Public Member Functions inherited from EnchantTestFixture
void | CleanUpFiles ()
std::string | GetTempUserEnchantDir ()
std::string | GetEnchantConfigDir ()
std::string | Convert (const std::wstring &ws)
std::wstring | Convert (const std::string &s)
Static Public Member Functions inherited from EnchantDictionaryTestFixture
static void | ExternalAddWordToFile (const std::string &word, const std::string &filename)
Static Public Member Functions inherited from EnchantTestFixture
static void | DeleteDirAndFiles (const std::string &dir)
static std::string | GetTemporaryFilename (const std::string &prefix)
static void | CreateDirectory (const std::string &filepath)
static void | CreateFile (const std::string &filepath)
static void | DeleteFile (const std::string &filepath)
static bool | FileExists (const std::string &filepath)
static std::string | AddToPath (const std::string &path, const std::string &fileOrDirName)

The documentation for this struct was generated from the following file:

- tests/dictionary/enchant_dict_free_string_list_tests.cpp